> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recent Pulls

> See the most recent member pulls



## OpenAPI

````yaml get /stats/pulls
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /stats/pulls:
    get:
      tags:
        - Stats
        - Pulls
        - Pull
      description: See the most recent member pulls
      operationId: pullStats
      responses:
        '200':
          $ref: '#/components/responses/pullstats'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    pullstats:
      description: Server activity logs and statistics
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: integer
                      example: 9287
                      description: Unique identifier for this activity record
                    serverId:
                      type: integer
                      example: 38309
                      description: ID of the server where the activity occurred
                    accId:
                      type: integer
                      example: 2
                      description: Account identifier associated with the activity
                    startTime:
                      type: string
                      format: date-time
                      example: '2025-09-26 11:16:24'
                      description: Timestamp when the activity started
                    totalTime:
                      type: string
                      example: '00:00:01'
                      description: Total duration of the activity in HH:MM:SS format
                    successCount:
                      type: integer
                      example: 1
                      description: Number of successful operations
                    bannedCount:
                      type: integer
                      example: 0
                      description: Number of banned tokens encountered
                    tooManyGuildsCount:
                      type: integer
                      example: 0
                      description: Count of tokens rejected due to being in too many guilds
                    invalidTokenCount:
                      type: integer
                      example: 1
                      description: Number of invalid tokens detected
                    alreadyHereCount:
                      type: integer
                      example: 0
                      description: Number of users already present in the server
                    failedCount:
                      type: integer
                      example: 0
                      description: Number of failed operations
                    totalCount:
                      type: integer
                      example: 2
                      description: Total number of operations attempted
                    message:
                      type: string
                      example: null
                      description: Optional message or note related to the activity
                    fileName:
                      type: string
                      example: >-
                        acc-2-server-38309-1758885383-87-4351-a4ab-4543656a31f0.txt
                      description: Generated log filename for the activity session
                    serverName:
                      type: string
                      example: RestoreBot Services 26
                      description: Display name of the server involved
                    pic:
                      type: string
                      example: https://cdn.vaultcord.com/logo.png
                      description: URL of the server or brand logo
                example:
                  - id: 9287
                    serverId: 38309
                    accId: 2
                    startTime: '2025-09-26 11:16:24'
                    totalTime: '00:00:01'
                    successCount: 1
                    bannedCount: 0
                    tooManyGuildsCount: 0
                    invalidTokenCount: 1
                    alreadyHereCount: 0
                    failedCount: 0
                    totalCount: 2
                    message: null
                    fileName: >-
                      acc-2-server-38309-1758885383-87-4351-a4ab-4543656a31f0.txt
                    serverName: RestoreBot Services 26
                    pic: https://cdn.vaultcord.com/logo.png
                  - id: 2783
                    serverId: 18499
                    accId: 2
                    startTime: '2024-10-07 17:37:39'
                    totalTime: '00:00:04'
                    successCount: 3
                    bannedCount: 0
                    tooManyGuildsCount: 0
                    invalidTokenCount: 0
                    alreadyHereCount: 0
                    failedCount: 6
                    totalCount: 3
                    message: null
                    fileName: null
                    serverName: Imported Tokens
                    pic: https://cdn.vaultcord.com/logo.png
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````